Bug 78616 - (binonly) A binary only kernel module was in use when something bad happened
A binary only kernel module was in use when something bad happened
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
: 67758 79120 FireGL 80112 80532 86230 91302 100664 101371 102917 103229 107426 Lam 110295 110769 110787 111068 111355 112723 112867 113080 115188 115400 115666 115879 117341 119925 123129 123827 126433 126869 132142 132430 132713 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-26 10:19 EST by Arjan van de Ven
Modified: 2008-08-01 12:22 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Arjan van de Ven 2002-11-26 10:19:31 EST
This is a master bug for marking bugs as duplicate against where the original
bug happened while using binary only kernel modules. Binary only kernel modules
are in general not supported in Red Hat Linux. Bugreports with binary only
modules loaded are generally not useful for several reasons:
* It's not unlikely that the bug is caused by this module, and we don't have the
source so we cannot fix it. The oops doesn't even have to be directly in the
module code; kernel modules link into the kernel and can do all kinds of bad
things that will cause breakage elsewhere.
* People who use binary only kernel modules often cannot run special kernels
with added diagnostics because said diagnostics break the module
* Even if we were able to fix a core bug, upgrading to a fixed kernel is often
prevented by this binary only module

If you can reproduce your bug without the module ever being loaded since a
reboot, you are more than welcome to reopen your original bug and state this fact.
Comment 1 Arjan van de Ven 2002-12-05 15:11:10 EST
*** Bug 67758 has been marked as a duplicate of this bug. ***
Comment 2 Arjan van de Ven 2002-12-06 04:02:27 EST
*** Bug 79120 has been marked as a duplicate of this bug. ***
Comment 3 Arjan van de Ven 2002-12-08 12:51:33 EST
*** Bug 79248 has been marked as a duplicate of this bug. ***
Comment 4 Arjan van de Ven 2002-12-20 04:23:21 EST
*** Bug 80112 has been marked as a duplicate of this bug. ***
Comment 5 Alan Cox 2002-12-30 09:20:07 EST
*** Bug 80532 has been marked as a duplicate of this bug. ***
Comment 6 Arjan van de Ven 2003-03-17 13:47:26 EST
*** Bug 86230 has been marked as a duplicate of this bug. ***
Comment 7 Arjan van de Ven 2003-05-21 04:08:27 EDT
*** Bug 91302 has been marked as a duplicate of this bug. ***
Comment 8 Arjan van de Ven 2003-07-29 09:54:42 EDT
*** Bug 100664 has been marked as a duplicate of this bug. ***
Comment 9 Arjan van de Ven 2003-07-29 13:59:54 EDT
*** Bug 101153 has been marked as a duplicate of this bug. ***
Comment 10 Arjan van de Ven 2003-07-31 09:15:14 EDT
*** Bug 101371 has been marked as a duplicate of this bug. ***
Comment 11 Arjan van de Ven 2003-08-05 04:09:30 EDT
*** Bug 101615 has been marked as a duplicate of this bug. ***
Comment 12 Arjan van de Ven 2003-08-06 03:48:56 EDT
*** Bug 101650 has been marked as a duplicate of this bug. ***
Comment 13 Arjan van de Ven 2003-08-14 17:35:01 EDT
*** Bug 102258 has been marked as a duplicate of this bug. ***
Comment 14 Arjan van de Ven 2003-08-22 13:38:48 EDT
*** Bug 102917 has been marked as a duplicate of this bug. ***
Comment 15 Arjan van de Ven 2003-08-27 18:16:33 EDT
*** Bug 103229 has been marked as a duplicate of this bug. ***
Comment 16 Arjan van de Ven 2003-09-29 10:05:49 EDT
*** Bug 105007 has been marked as a duplicate of this bug. ***
Comment 17 Mike A. Harris 2003-10-18 01:52:56 EDT
*** Bug 107426 has been marked as a duplicate of this bug. ***
Comment 18 Arjan van de Ven 2003-11-05 08:19:30 EST
*** Bug 108755 has been marked as a duplicate of this bug. ***
Comment 19 Arjan van de Ven 2003-11-18 03:15:25 EST
*** Bug 110295 has been marked as a duplicate of this bug. ***
Comment 20 Arjan van de Ven 2003-11-24 11:07:57 EST
*** Bug 110787 has been marked as a duplicate of this bug. ***
Comment 21 Arjan van de Ven 2003-11-25 03:16:44 EST
*** Bug 110769 has been marked as a duplicate of this bug. ***
Comment 22 Arjan van de Ven 2003-11-26 17:10:34 EST
*** Bug 111068 has been marked as a duplicate of this bug. ***
Comment 23 Mike A. Harris 2003-12-02 11:47:18 EST
*** Bug 111355 has been marked as a duplicate of this bug. ***
Comment 24 Arjan van de Ven 2004-01-04 16:55:03 EST
*** Bug 112867 has been marked as a duplicate of this bug. ***
Comment 25 Arjan van de Ven 2004-01-08 06:48:37 EST
*** Bug 113080 has been marked as a duplicate of this bug. ***
Comment 26 Arjan van de Ven 2004-01-09 13:42:51 EST
*** Bug 112723 has been marked as a duplicate of this bug. ***
Comment 27 Arjan van de Ven 2004-02-08 04:55:52 EST
*** Bug 115188 has been marked as a duplicate of this bug. ***
Comment 28 Arjan van de Ven 2004-02-11 17:31:57 EST
*** Bug 115400 has been marked as a duplicate of this bug. ***
Comment 29 Mike A. Harris 2004-02-14 13:04:17 EST
*** Bug 115666 has been marked as a duplicate of this bug. ***
Comment 30 Arjan van de Ven 2004-02-15 16:07:18 EST
*** Bug 115666 has been marked as a duplicate of this bug. ***
Comment 31 Mike A. Harris 2004-02-16 21:51:58 EST
*** Bug 115879 has been marked as a duplicate of this bug. ***
Comment 32 Arjan van de Ven 2004-03-03 01:41:29 EST
*** Bug 117341 has been marked as a duplicate of this bug. ***
Comment 33 Arjan van de Ven 2004-04-02 06:07:08 EST
*** Bug 119816 has been marked as a duplicate of this bug. ***
Comment 34 Mike A. Harris 2004-04-03 06:21:20 EST
*** Bug 119925 has been marked as a duplicate of this bug. ***
Comment 35 Arjan van de Ven 2004-05-12 15:46:22 EDT
*** Bug 123129 has been marked as a duplicate of this bug. ***
Comment 36 Arjan van de Ven 2004-05-22 11:38:23 EDT
*** Bug 123827 has been marked as a duplicate of this bug. ***
Comment 37 Arjan van de Ven 2004-06-21 12:31:56 EDT
*** Bug 126433 has been marked as a duplicate of this bug. ***
Comment 38 Arjan van de Ven 2004-06-28 12:24:29 EDT
*** Bug 126869 has been marked as a duplicate of this bug. ***
Comment 39 Arjan van de Ven 2004-09-09 02:53:36 EDT
*** Bug 132142 has been marked as a duplicate of this bug. ***
Comment 40 Arjan van de Ven 2004-09-13 08:42:47 EDT
*** Bug 132430 has been marked as a duplicate of this bug. ***
Comment 41 Arjan van de Ven 2004-09-16 03:18:49 EDT
*** Bug 132713 has been marked as a duplicate of this bug. ***
Comment 42 Bugzilla owner 2004-09-30 11:40:14 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.